<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['gazelle.ordermanager.DICOMMessages']}</h1>
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <rich:messages globalOnly="true" styleClass="message"/>
            <script>
                updateUrl("globalForm:filterUrlParameters");
                jq162("#globalForm\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalForm:filterUrlParameters");
                        });

            </script>
            <s:div id="criteriaDiv" styleClass="form-horizontal">
                <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                               value="#{dicomMessageBrowser.filter.urlParameters}"/>
                <s:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshResults']}"
                                         render="globalForm">
                            <span class="gzl-icon-refresh"/>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['gazelle.hl7.validator.ResetCriteria']}"
                                         actionListener="#{dicomMessageBrowser.reset()}"
                                         render="globalForm">
                            <span class="gzl-icon-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filterDate.xhtml">
                                <ui:param name="filter" value="#{dicomMessageBrowser.filter}"/>
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filterId" value="lastChanged"/>
                                <ui:param name="filterName" value="#{messages['gazelle.ordermanager.Date']}"/>
                                <ui:param name="filterForm" value="criteriaDiv"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6"></div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{dicomMessageBrowser.filter}"/>
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filterId" value="simulatedActor"/>
                                <ui:param name="filterName" value="#{messages['gazelle.HL7Common.simulatedActor']}"/>
                                <ui:param name="filterForm" value="criteriaDiv"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6"></div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{dicomMessageBrowser.filter}"/>
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filterId" value="from"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.simulator.hl7.From']}"/>
                                <ui:param name="filterForm" value="criteriaDiv"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{dicomMessageBrowser.filter}"/>
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filterId" value="to"/>
                                <ui:param name="filterName" value="#{messages['gazelle.ordermanager.To']}"/>
                                <ui:param name="filterForm" value="criteriaDiv"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{dicomMessageBrowser.filter}"/>
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filterId" value="command"/>
                                <ui:param name="filterName" value="#{messages['gazelle.ordermanager.Command']}"/>
                                <ui:param name="filterForm" value="criteriaDiv"/>
                            </ui:include>
                        </div>
                    </div>
                </s:decorate>
                #{dataTableStateHolder.setDescendingOn('timestamp')}
                <rich:dataTable value="#{dicomMessageBrowser.dataModel}" var="o"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds" id="resultsTable">
                    <ui:include src="/common/dicomMessageColumns.xhtml">
                        <ui:param name="dcmMessage" value="#{o}"/>
                    </ui:include>
                    <g:column>
                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                        <div class="gzl-never-wrap">
                            <h:outputLink
                                    value="#{applicationConfiguration.getValueOfVariable('application_url')}#{dicomMessageBrowser.getPermanentLink(o.id)}"
                                    title="#{messages['gazelle.ordermanager.AccessDetails']}">
                                <s:span styleClass="gzl-icon-search "/>
                            </h:outputLink>
                            <h:commandLink action="#{o.validate()}" rendered="#{not empty o.filePath}">
                                <s:span styleClass="gzl-icon-play" title="#{messages['gazelle.ordermanager.SendToEVSClientForValidation']}"/>
                            </h:commandLink>
                            <s:span styleClass="gzl-icon-play-black" rendered="#{empty o.filePath}"
                                    title="#{messages['gazelle.ordermanager.ThisDICOMMessageContainsNoPayloadToValidate']}"/>
                        </div>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="resultsTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
